 
<html>
<!--
  *     Copyright © 1997, 2011, Oracle and/or its affiliates. All rights reserved. 
  *     Use is subject to license terms.
-->
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Servers Manager</title>

<link rel="stylesheet" href="nbdocs://org.netbeans.modules.usersguide/org/netbeans/modules/usersguide/ide.css" type="text/css">
</head>
<body>
<h2>Servers Manager</h2>
<p><small><a href="#seealso">See Also</a></small></p>
<p>Before you can deploy an enterprise application, web application, JSP file, servlet, or EJB module, an instance of the server
to which you are going to deploy needs to be registered with the IDE.</p>

<p>You open the Servers manager by choosing Tools &gt; Servers from the main menu.</p>

<p>You can use the Servers manager to do the following:</p>
  <ul>
          <li>Register a new server.</li>
	  <li>View registered servers' classpaths.</li>
	  <li>Register source code for a server in the Sources tab.</li>
	  <li>Register Javadoc documentation for a server in the Javadoc tab.</li>
          <li>Specify deployment options (Sun Java System Application Server/GlassFish v2 only)</li>
  </ul>
  <p><b>Note:</b></p>
  <ul class="note"><li>Any web servers that you chose to install when you installed the IDE 
are automatically registered in the IDE. You must register all other servers manually.</li></ul>
  
<p>After you register a server, you can configure a project to use that server for compilation, 
       execution, and debugging. To specify the server for your project, right-click the project in the Projects window
       and choose Properties. In the Properties window, select the Run node, and 
   choose the appropriate server in the Server drop-down list.</p>
   
<p>The Servers manager provides additional settings in some tabs for configuring the following servers.</p> 

<p><b>Tomcat Web Server</b><br>
<ul>
    <li><b>Connection</b> The Connection tab enables you to set the server port numbers and the username and password 
    for the manager role. You can view the server password by clicking Show next to the password field. 
    You can also enable the HTTP monitor in this tab. </li>
    <li><b>Startup.</b> The Startup tab enables you to specify a custom Catalina script for startup and 
    debugger transport options.</li>
</ul>
<p>For more about the available configuration options, see
<a href="nbdocs://org.netbeans.modules.tomcat5/org/netbeans/modules/tomcat5/docs/tomcat/tomcat_internal_props.html">Customizing the Tomcat Web Server</a>.</p>
  
<p><b>GlassFish v2</b><br>
<ul>
    <li><b>Options.</b> The Options tab enables you to specify the following deployment options:
        <ul>
            <li><b>Startup Timeout.</b> This option enables you to set the number of seconds before server startup failure
        is reported. The default is 288 seconds.</li>
            <li><b>Deployment Timeout.</b> This option enables you to set the number of seconds before deployment 
            failure is reported. The default is 144 seconds.</li>
            <li><b>Directory Deployment Enabled.</b> When selected, web, EJB and EAR projects are deployed to the server
        from the build directory. This can reduce deployment time. This option is selected by default.</li>
            <li><b>JDBC Driver Deployment Enabled.</b> When selected, JDBC drivers are deployed to the server if required.
        This option is selected by default.</li>
            <li><b>JavaDB Start Enabled.</b> When selected, the JavaDB database server is started when the 
            application server is started.</li>
        </ul>
        <p>Changes in the Options tab take effect immediately.</p>
    </li>
</ul>  

<p><b>GlassFish 3</b><br>
<ul>
    <li><b>Common.</b> The Common tab enables you to enable and disable the following options:
        <ul>
            <li><b>Enable Comet Support.</b> When selected, Commet support is enabled to allow
            a persistent connection between the server and the client and enable the server to push data when available.
            This option is disabled by default.</li>
            <li><b>Enable HTTP Monitor.</b> When selected, HTTP server-side monitoring is started when an application is deployed to the server.
            The HTTP Server-Side Monitor gathers data about HTTP requests that are processed by the servlet engine.
            For each HTTP request that is processed, the monitor records data about the incoming request
            and the data states maintained on the server.
            This option is disabled by default.</li>
            <li><b>Enable JDBC Driver Deployment.</b> When selected, JDBC drivers are deployed to the server if required.
            This option is disabled by default.</li>
            <li><b>Preserve Sessions Across Redeployment.</b> When selected, the server preserves active HTTP sessions
            when an application is redeployed. This option is enabled by default.</li>
            <li><b>Start Registered Derby Server.</b> When selected, the Derby database server is started when the
            application server is started. This option is enabled by default.</li>
        </ul>
    </li>
    <li><b>Java.</b> The Java tab enables you to specify the following options:
        <ul>
            <li><b>Java Executable.</b> Enables you to specify the Java Platform the server will use.
            If no Java executable is specified, the server will use the same Java Platform as is used by the IDE.</li>
            <li><b>Debug Settings.</b> Enables you to select either shared memory or socket based transport for debugging.
            You can also select Address to use to specify a transport address or JPDA port according to the specified debugging transport.
            </li>
        </ul>
    </li>
</ul>


<dl> 
    <dt><a name="seealso">See Also</a></dt>
    <dd><a href="server_register.html">Registering a Server</a></dd>
    <dd><a href="glassfish/general/register_appserver.html">Registering a GlassFish Application Server Instance</a></dd>
    <dd><a href="nbdocs://org.netbeans.modules.tomcat5/org/netbeans/modules/tomcat5/docs/tomcat/tomcat_addinstall.html">Registering an External Tomcat Web Server</a></dd>
    <dd><a href="jboss/registering_app_server_jboss.html">Registering a JBoss Application Server</a></dd>
    <dd><a href="weblogic/registering_app_server_weblogic.html">Registering an Oracle WebLogic Server</a></dd>
</dl>

<hr><small><a href="../credits.html">Legal Notices</a></small>

<table border="0" cellpadding="50">
<tr><td>&nbsp;</td></tr>
</table></body>
</html>
